package com.sky.ioc.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.sky.ioc.entity.domain.supermarket.SupermarketOrder;
import com.sky.ioc.entity.params.IocParam;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;

import java.util.List;
import java.util.Map;

public interface SupermarketOrderMapper extends BaseMapper<SupermarketOrder> {

    @Select("SELECT  count(1) as salesVolume,s.name,s.img,s.price " +
            " from supermarket_order o " +
            " JOIN supermarket s on s.name=o.product_name " +
            " WHERE dept_id=#{iocParam.deptId} and company_id=#{iocParam.companyId} and order_time" +
            " BETWEEN #{iocParam.timeRange.startDate} AND #{iocParam.timeRange.endDate} " +
            "GROUP BY product_name,s.name,s.img,s.price " +
            "ORDER by salesVolume DESC")
    List<Map<String,String>> getListByCompanyIdAndDeptId(@Param("iocParam") IocParam iocParam);
}
